#!/bin/sh

# Temporary file for sorting the results
TMPFILE="`mktemp /tmp/rkhunter.createhashes.XXXXXX`" || exit 1

dir0=`dirname $0`
export OSNUMBER=`$dir0/printosnumber.sh 2>/dev/null`

DIRS="/sbin /bin /usr/bin /usr/sbin /usr/local/bin /usr/local/sbin"
FILES="find
cron
ifconfig
watch
w
whoami
who
users
stat
sha1sum
kill
find
file
pstree
killall
lsattr
mount
netstat
egrep
fgrep
grep
cat
chmod
chown
env
ls
su
ps
dmesg
kill
login
chkconfig
depmod
insmod
modinfo
sysctl
syslogd
init
runlevel
groups
ip"

for I in ${FILES}; do
	for J in ${DIRS}; do
		[ -d "$J" ] || continue
		FILE="${J}/${I}"
		if [ -f ${FILE} ]; then
			"$dir0/createfilehashes.pl" ${FILE} >> ${TMPFILE}
		fi
	done
done

sort ${TMPFILE}

rm -f ${TMPFILE}

exit 0
